# Historical Ticker Earnings `GET` `https://api.unusualwhales.com/api/earnings/{ticker}` Returns the historical earnings for the given ticker. The returned data includes information about how the stock performed before and after the earnings event in its history. Furthermore, data about how a long and short straddle would have performed in the past are included as well. If you are looking to scan for extreme IV term steepness before earnings use https://unusualwhales.com/skills/uw-earnings-vol-scan-skill.md ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `actual_eps` | Actual EPS | | | `ending_fiscal_quarter` | General ISO Date | An ISO date. | | `expected_move` | Expected Move | The expected earnings move in $. | | `expected_move_perc` | Expected Move Perc | The expected earnings move in %. | | `long_straddle_1d` | Long Straddle 1 Day | The 1 day % returns for the closest expiry long ATM straddle. The straddle expiry is equal to or greater than 1 day after earnings. | | `long_straddle_1w` | Long Straddle 1 Week | The 1 week % returns for the closest expiry long ATM straddle. The straddle expiry is equal to or greater than 1 week after earnings. | | `post_earnings_move_1d` | Post Earnings Move 1 Day | The 1 day % move after the earnings report. | | `post_earnings_move_1w` | Post Earnings Move 1 Week | The 1 week % move after the earnings report. | | `post_earnings_move_2w` | Post Earnings Move 2 Week | The 2 week % move after the earnings report. | | `post_earnings_move_3d` | Post Earnings Move 13Day | The 3 day % move after the earnings report. | | `pre_earnings_move_1d` | Pre Earnings Move 1 Day | The 1 day % move up to the earnings report. | | `pre_earnings_move_1w` | Pre Earnings Move 1 Week | The 1 week % move up to the earnings report. | | `pre_earnings_move_2w` | Pre Earnings Move 2 Week | The 2 week % move up to the earnings report. | | `pre_earnings_move_3d` | Pre Earnings Move 13Day | The 3 day % move up to the earnings report. | | `report_date` | General ISO Date | An ISO date. | | `report_time` | Report Time | The earnings report time. Possible values include: premarket, postmarket and unknown | | `short_straddle_1d` | Short Straddle 1 Day | The 1 day % returns for the closest expiry short ATM straddle. The straddle expiry is equal to or greater than 1 day after earnings. | | `short_straddle_1w` | Short Straddle 1 Week | The 1 week % returns for the closest expiry short ATM straddle. The straddle expiry is equal to or greater than 1 week after earnings. | | `source` | Source | The source of the report date. Either the report date comes from the company or it is an estimation. Possible values: company, estimation. | | `street_mean_est` | Street Mean Est | The Street mean EPS estimates. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/earnings/{ticker}" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/earnings/{ticker}", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "actual_eps": "2.45", "ending_fiscal_quarter": "2024-09-30", "expected_move": "9.91", "expected_move_perc": "0.0359", "long_straddle_1d": "0.2349", "long_straddle_1w": "0.0129", "post_earnings_move_1d": "0.0724", "post_earnings_move_1w": "0.132", "post_earnings_move_2w": "0.1582", "post_earnings_move_3d": "0.0231", "pre_earnings_move_1d": "0.0724", "pre_earnings_move_1w": "0.132", "pre_earnings_move_2w": "0.1582", "pre_earnings_move_3d": "0.0231", "report_date": "2024-11-10", "report_time": "postmarket", "short_straddle_1d": "-0.5830", "short_straddle_1w": "-0.005", "source": "company", "street_mean_est": "2.25" }, { "actual_eps": "2.32", "ending_fiscal_quarter": "2024-06-30", "expected_move": "8.23", "expected_move_perc": "0.0261", "long_straddle_1d": "0.2349", "long_straddle_1w": "0.0129", "post_earnings_move_1d": "0.0724", "post_earnings_move_1w": "0.132", "post_earnings_move_2w": "0.1582", "post_earnings_move_3d": "0.0231", "pre_earnings_move_1d": "0.0724", "pre_earnings_move_1w": "0.132", "pre_earnings_move_2w": "0.1582", "pre_earnings_move_3d": "0.0231", "report_date": "2024-08-02", "report_time": "postmarket", "short_straddle_1d": "-0.5830", "short_straddle_1w": "-0.005", "source": "company", "street_mean_est": "2.15" } ] } ```